Package org.apache.sysds.runtime.compress.lib

# Class CLALibSeparator.SeparatedGroups

java.lang.Object
org.apache.sysds.runtime.compress.lib.CLALibSeparator.SeparatedGroups

Enclosing interface:
  CLALibSeparator

public static class CLALibSeparator.SeparatedGroups extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<IDictionary>`
`dicts`
`final List<AColGroup>`
`indexStructures`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### dicts

public final List<IDictionary> dicts

### indexStructures

public final List<AColGroup> indexStructures

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`